com.taosdata.jdbc.ws.tmq

## Class WSConsumerFactory

- java.lang.Object
- - com.taosdata.jdbc.ws.tmq.WSConsumerFactory

All Implemented Interfaces:
  ConsumerFactory

    public class WSConsumerFactory
    extends Object
    implements ConsumerFactory

### Constructor Summary

Constructors
Constructor and Description
`WSConsumerFactory()`

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `acceptsType(String type)`
`Consumer<?>` `getConsumer()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### WSConsumerFactory

    public WSConsumerFactory()

### Method Detail

#### acceptsType

    public boolean acceptsType(String type)

Specified by:
  `acceptsType` in interface `ConsumerFactory`

#### getConsumer

    public Consumer<?> getConsumer()

Specified by:
  `getConsumer` in interface `ConsumerFactory`